<?php

namespace Lc\CaracoleBundle\Factory\Product;

use App\Entity\Product\ProductFamily;
use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\CaracoleBundle\Model\Product\ProductFamilyInterface;
use Lc\SovBundle\Factory\AbstractFactory;

class ProductFamilyFactory extends AbstractFactory implements ProductFamilyFactoryInterface
{
    use MerchantFactoryTrait;
    use SectionFactoryTrait;

    public function create(): ProductFamilyInterface
    {
        $productFamily = new ProductFamily();

        $productFamily->setMerchant($this->merchant);
        $productFamily->setSection($this->section);

        return $productFamily;
    }

}
