<?php

namespace Lc\CaracoleBundle\Factory\Reminder;

use Lc\CaracoleBundle\Factory\MerchantFactoryTrait;
use Lc\CaracoleBundle\Factory\SectionFactoryTrait;
use Lc\SovBundle\Factory\Reminder\ReminderFactory as SovReminderFactory;
use Lc\SovBundle\Model\Reminder\ReminderInterface;

class ReminderFactory extends SovReminderFactory
{
    use MerchantFactoryTrait;
    use SectionFactoryTrait;

    public function create(string $crudAction = null, string $crudControllerFqcn = null, int $entityId = null): ReminderInterface
    {
        $reminder = parent::create($crudAction, $crudControllerFqcn, $entityId);

        $reminder->setMerchant($this->merchant) ;
        $reminder->setSection($this->section) ;

        return $reminder;
    }

}
