<?php

namespace Lc\CaracoleBundle\Model\Newsletter;

use Doctrine\ORM\Mapping as ORM;
use Lc\CaracoleBundle\Doctrine\Extension\FilterMerchantInterface;
use Lc\CaracoleBundle\Model\Merchant\MerchantInterface;
use Lc\SovBundle\Model\Newsletter\NewsletterModel as SovNewsletterModel;

/**
 * @ORM\MappedSuperclass()
 */
abstract class NewsletterModel extends SovNewsletterModel implements FilterMerchantInterface
{
    /**
     * @ORM\ManyToOne(targetEntity="Lc\CaracoleBundle\Model\Merchant\MerchantInterface", inversedBy="newsletters")
     */
    protected $merchant;


    public function getMerchant(): ?MerchantInterface
    {
        return $this->merchant;
    }

    public function setMerchant(?MerchantInterface $merchant): self
    {
        $this->merchant = $merchant;

        return $this;
    }
}
